summaryrefslogtreecommitdiff
path: root/0108-skip-test-rely-on-docker.io.patch
blob: dd146d7f1d6d98b64b9cc95a6b43753fb9b402c8 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
From d3e7b0b0d19ca4937716d835e3627714157d6cc3 Mon Sep 17 00:00:00 2001
From: zhongtao <zhongtao17@huawei.com>
Date: Tue, 11 Jun 2024 17:14:58 +0800
Subject: [PATCH 108/108] skip test rely on docker.io

Signed-off-by: zhongtao <zhongtao17@huawei.com>
---
 CI/test_cases/image_cases/image_search.sh      | 4 +++-
 CI/test_cases/image_cases/integration_check.sh | 2 +-
 CI/test_cases/image_cases/registry.sh          | 5 +++--
 3 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/CI/test_cases/image_cases/image_search.sh b/CI/test_cases/image_cases/image_search.sh
index 11af02f1..4bf0e099 100755
--- a/CI/test_cases/image_cases/image_search.sh
+++ b/CI/test_cases/image_cases/image_search.sh
@@ -76,7 +76,9 @@ function test_image_search()
 
 declare -i ans=0
 
-test_image_search || ((ans++))
+# unable to pull image from docker.io without agent, skip this test
+# registry API v1 is not implemented in https://3laho3y3.mirror.aliyuncs.com and isula search cannot be tested
+# test_image_search || ((ans++))
 
 show_result ${ans} "${curr_path}/${0}"
 
diff --git a/CI/test_cases/image_cases/integration_check.sh b/CI/test_cases/image_cases/integration_check.sh
index 6ec3ab52..f340348d 100755
--- a/CI/test_cases/image_cases/integration_check.sh
+++ b/CI/test_cases/image_cases/integration_check.sh
@@ -27,7 +27,7 @@ image="busybox"
 function test_image_info()
 {
   local ret=0
-  local uimage="docker.io/library/nats"
+  local uimage="nats"
   local test="list && inspect image info test => (${FUNCNAME[@]})"
   local lid
   local cid
diff --git a/CI/test_cases/image_cases/registry.sh b/CI/test_cases/image_cases/registry.sh
index e33983d6..7ea9a0c5 100755
--- a/CI/test_cases/image_cases/registry.sh
+++ b/CI/test_cases/image_cases/registry.sh
@@ -74,8 +74,9 @@ function isula_pull()
     isula run --rm -ti busybox echo hello 2>&1 | grep pulling
     [[ $? -ne 0 ]] && msg_err "${FUNCNAME[0]}:${LINENO} - --pull missing failed" && ((ret++))
 
-    isula pull docker.io/library/busybox:latest
-    [[ $? -ne 0 ]] && msg_err "${FUNCNAME[0]}:${LINENO} - --pull docker.io/library/busybox:latest failed" && ((ret++))
+    # Unable to pull image from docker.io without agent, skip this test
+    # isula pull docker.io/library/busybox:latest
+    # [[ $? -ne 0 ]] && msg_err "${FUNCNAME[0]}:${LINENO} - --pull docker.io/library/busybox:latest failed" && ((ret++))
 
     isula pull 3laho3y3.mirror.aliyuncs.com/library/busybox
     fn_check_eq "$?" "0" "isula pull 3laho3y3.mirror.aliyuncs.com/library/busybox"
-- 
2.25.1